Summary: PPP Over Ethernet (xDSL support)
Name: rp-pppoe
Version: 3.3
Release: 4tr
License: GPL
Group: Network/Connectivity
Source: http://www.roaringpenguin.com/pppoe/%{name}-%{version}.tar.gz
Url: http://www.roaringpenguin.com/pppoe/
Patch1: %{name}-%{version}-makefile.patch
BuildRoot: /var/tmp/%{name}-build
BuildRequires: perl
Requires: ppp >= 2.3.7
PreReq: chkconfig /sbin/restart_maybe

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

%prep
%setup
%patch1 -p1

%build
perl -pi -e "s/^# chkconfig:.*$/# chkconfig: - 99 01/" scripts/adsl-init.in
perl -pi -e "s/^DNSTYPE=SERVER/DNSTYPE=NOCHANGE/" configs/pppoe.conf
cd src
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cd src
%makeinstall

%post
# Is adsl actually enabeld?
ADSL=`chkconfig --list | grep adsl | grep on`
# Remove all adsl links. We are going to change them.
chkconfig --del adsl
# Create new system startup links
chkconfig --add adsl
# Check if we want adsl up and running:
if [ x"$ADSL" != x ]; then
        chkconfig adsl on
fi

%preun
if [ $1 = 0 ]; then
  /etc/rc.d/init.d/adsl stop >&2
  chkconfig --del adsl
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/CHANGES doc/HOW-TO-CONNECT doc/LICENSE doc/KERNEL-MODE-PPPOE README
%config(noreplace) /etc/ppp/pppoe.conf
%config(noreplace) /etc/ppp/pppoe-server-options
%config(noreplace) /etc/ppp/firewall-masq
%config(noreplace) /etc/ppp/firewall-standalone
/etc/ppp/plugins/*
/usr/sbin/pppoe
/usr/sbin/pppoe-server
/usr/sbin/pppoe-sniff
/usr/sbin/pppoe-relay
/usr/sbin/adsl-connect
/usr/sbin/adsl-start
/usr/sbin/adsl-stop
/usr/sbin/adsl-setup
/usr/sbin/adsl-status
%{_mandir}/man5/pppoe.conf.5*
%{_mandir}/man8/pppoe.8*
%{_mandir}/man8/pppoe-server.8*
%{_mandir}/man8/pppoe-relay.8*
%{_mandir}/man8/pppoe-sniff.8*
%{_mandir}/man8/adsl-connect.8*
%{_mandir}/man8/adsl-start.8*
%{_mandir}/man8/adsl-stop.8*
%{_mandir}/man8/adsl-status.8*
%{_mandir}/man8/adsl-setup.8*
/etc/rc.d/init.d/adsl

%changelog
* Fri Feb  8 2002 Christian H. Toldnes <christht@trustix.com>
- Removed restart_maybe adsl.

* Fri Jan 25 2002 Christian H. Toldnes <christht@trustix.com>
- Correct adsl init order, now S11, K89.

* Fri Jan 11 2002 Christian H. Toldnes <christht@trustix.com>
- Added noreplace to the config files.
- Now uses "DNSTYPE=NOCHANGE" in default config file.

* Thu Jan  3 2002 Erlend Midttun <erlendbm@trustix.com>
- Picked up 3.3.
- Changed chkconfig script to not autostart on a chkconfig --add.
- Added %preun and %post to take care of startup

* Fri Feb 23 2001 Oystein Viggen <oysteivi@trustix.com>
- New in TSL

